@mixin make-transition-timing-function($s) {
    #{$s}transition-linear{
        transition-timing-function: linear;
    }

    #{$s}transition-ease{
        transition-timing-function: ease;
    }

    #{$s}transition-ease-in{
        transition-timing-function: ease-in;
    }

    #{$s}transition-ease-out{
        transition-timing-function: ease-out;
    }

    #{$s}transition-ease-in-out{
        transition-timing-function: ease-in-out;
    }
}